aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Dmitry Lomov <dslomov@google.com>2016-05-11 08:20:44 +0000
committerGravatar Klaus Aehlig <aehlig@google.com>2016-05-11 10:24:32 +0000
commit6cf18759cb9128f97ab0bc121c5ceb6d6a16dfd1 (patch)
tree7f5a10ce8363fba760cdcb8eb19cd7dfc329831e /scripts
parent3745c90efb509b95a1064294122550d2b9c3bca5 (diff)
Re-enable a test on Windows.
-- MOS_MIGRATED_REVID=122031687
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/ci/windows/compile_windows.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/ci/windows/compile_windows.sh b/scripts/ci/windows/compile_windows.sh
index 93f030a612..9c5a95eab1 100755
--- a/scripts/ci/windows/compile_windows.sh
+++ b/scripts/ci/windows/compile_windows.sh
@@ -41,3 +41,13 @@ mkdir -p "${TMPDIR}" # mkdir does work with a path starting with 'c:/', wow
# containing spaces seem to be passed properly.
echo "Bootstrapping Bazel"
./compile.sh "$*" || exit $?
+
+# Run the only Windows-specific test we have.
+# todo(bazel-team): add more tests here.
+echo "Running tests"
+retCode=0
+./output/bazel test --test_output=all //src/test/shell/bazel:bazel_windows_cpp_test || retCode=$?
+# Exit for failure except for test failures (exit code 3).
+if (( $retCode != 0 && $retCode != 3 )); then
+ exit $retCode
+fi